Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis
Class AnalyzeString

    java.lang.Object
      fr.gouv.culture.sdx.search.lucene.analysis.AnalyzeString

public class AnalyzeString
extends java.lang.Object

On souhaite passer une String dans un analyseur de mots depuis une feuille XSLT.

Author:
  Malo Pichot
See Also:
  `AbstractAnalyzer`, `DefaultAnalyzer`, `Analyzer_ar`, `Analyzer_br`, `Analyzer_cz`, `Analyzer_de`, `Analyzer_en`, `Analyzer_fr`

Constructor Summary
`AnalyzeString()`

Method Summary
`static java.lang.String` | `getAnalyzedString(java.lang.String content)` Retourne la String à sa sortie de l'analyseur de mots par défaut : Analyzer_fr
`static java.lang.String` | `getAnalyzedString(java.lang.String content, java.lang.String className)` Retourne la String sortie de l'analyseur correspondant

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyzeString

    public AnalyzeString()

Method Detail

### getAnalyzedString

    public static java.lang.String getAnalyzedString(java.lang.String content)

  Retourne la String à sa sortie de l'analyseur de mots par défaut : Analyzer_fr

  Parameters:
    `content` - La string à analyser.
  Returns:
    Si la String n'est pas vide retourne la String à sa sortie de l'analyseur de mots français.

### getAnalyzedString

    public static java.lang.String getAnalyzedString(java.lang.String content,
                                                     java.lang.String className)

  Retourne la String sortie de l'analyseur correspondant

  Parameters:
    `content` - La String à analyser
    `className` - le nom de la class représentant l'analyseur souhaité (p.e., Analyzer_fr pour l'analyseur français)
  Returns:
    Retourne la String à sa sortie de l'analyseur de mots. Si la String est vide, on la retourne telle quelle. S'il y a un problème de lecture dans le processus, on retourne "-1".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.